# frozen_string_literal: true
Money.class_eval do
  ACTIVE_SUPPORT_DEFINED = defined?(ActiveSupport)

  def self.active_support_deprecator
    @active_support_deprecator ||= ActiveSupport::Deprecation.new('1.0.0', 'Shopify/Money')
  end

  def self.deprecate(message)
    if ACTIVE_SUPPORT_DEFINED
      external_callstack = caller_locations.reject do |location|
        location.to_s.include?('gems/shopify-money')
      end
      active_support_deprecator.warn("[Shopify/Money] #{message}\n", external_callstack)
    else
      Kernel.warn("DEPRECATION WARNING: [Shopify/Money] #{message}\n")
    end
  end
end
